<template>
	<v-app>
		<SideNav @newTweetBtn="snackbarHandler" />
		<SideColumn />
		<v-main>
			<Home @newBtn="snackbarHandler" />
			<HelloWorld />
		</v-main>
		<Snackbar @click="snackbarHandler" :value="showSnackbar" text="Success create a new tweet" />
	</v-app>
</template>

<script>
import SideNav from "@/components/SideNav/SideNav.vue";
import HelloWorld from "./components/HelloWorld";
import Home from "./components/Home/Home.vue";
import SideColumn from './components/SideColumn/SideColumn.vue';
import Snackbar from './components/Additional/Snackbar.vue';

export default {
	name: "App",

	components: {
		SideNav,
		HelloWorld,
		Home,
		SideColumn,
		Snackbar
	},

	data: () => ({
		showSnackbar: false,
	}),
	methods: {
		snackbarHandler() {
			this.showSnackbar = !this.showSnackbar
		}
	}
};
</script>
